<?php
    
    include './system/common.php';
    
 include './system/functions.php';
        
      include './system/user.php';
    
if(!$user) {  header('location: /'); exit; }

$action = _string($_GET['action']);

switch($action) {
  default:
    $title = 'Хижина мудреца';    
if($user['start'] !=9){
include './system/head.php';
}else{
include './system/h.php';
}
$gg = mysql_query('SELECT * FROM `questMove` WHERE `user` = "'.$user['id'].'"');
$gw = mysql_num_rows($gg);
if($gw == 0){
for($y = 1 ; $y < 7; $y++){

mysql_query('INSERT INTO `questMove` SET `user`="'.$user['id'].'",`task`= "'.$y.'",`progress`="0"');
}
header('location: ?');
}
?>
<div class="block_zero center blue">Выполняй задания, собирай трофеи и реликвии<br></div>
<div class="mini-line"></div>
<div class="center"><div class="block_zero"><img src="/images/town/hd/sage.jpg" width="100%" alt=""></div></div>
<div class="mini-line"></div>
<div class="menuList">
<li><a href="/quest/"><img src="/images/icon/quest.png" alt="">Задания<span class="green"> (+)</span><br>
<span class="white small">Выполняй задания, получай хорошую награду</span></a></li></div>
<div class="mini-line"></div>
<?php
if($user['start']==9){?>

<?
}
break;
case 'quest':
    $title = 'Задания';    
if($user['start'] !=9){
include './system/head.php';
}else{
include './system/h.php';
}
$taskPr = array('0'=>'0',
                '1' => '5',
                '2' => '1',
                '3' => '1',
                '4' => '1',
                '5' => '1',
                '6' => '5');
$taskNa = array('0' => '0',
                '1' => 'Бои на арене',
                '2' => 'Турнир',
                '3' => 'Поход',
                '4' => 'Начните осмотр пещеры',
                '5' => 'Вместе прокачаемся быстрее!',
                '6' => 'Выполни все задания');      
$taskTe = array('0' => '0',
                '1' => 'Проведи 5 боев на арене',
                '2' => 'Прими участие в карьерном турнире',
                '3' => 'Проведи 1 бой в походе',
                '4' => 'Найди 1 ресурс в пещере',
                '5' => 'Вступи в клан',
                '6' => 'Выполни 5 заданий в хижине мудреца');  
$taskNg = array('0' => '0',
                '1' => array('1'=>'2','2'=>'330','3'=>'29'),
                '2' => array('1'=>'2','2'=>'330','3'=>'29'),
                '3' => array('1'=>'0','2'=>'0','3'=>'64'),
                '4' => array('1'=>'1','2'=>'260','3'=>'19'),
                '5' => array('1'=>'2','2'=>'330','3'=>'29'),
                '6' => array('1'=>'1','2'=>'260','3'=>'19')
                );
               

                                       
?>
<div class="center"><div class="block_zero blue">Выполняй задания и получай отличную награду</div></div>
<div class="mini-line"></div>
<? if($user['start'] <9){ ?> 
<div class="block_zero center yellow">Забери награду за выполненные <img src="/images/icon/quest.png" alt=""> ежедневные задания!</div>
<div class="mini-line"></div>

<?
}
$q= mysql_query('SELECT * FROM `questMove` WHERE `user` = "'.$user['id'].'"');
while($row = mysql_fetch_array($q)){
?>
<div class="block_zero">
<b class="dgreen"><?=$taskNa[$row['task']];?></b><br>
<span class="medium"><?=$taskTe[$row['task']];?><br>
<span class="blue">Прогресс:</span> <?=$row['move'];?> из <?=$taskPr[$row['task']];?><br><div class="stat_bar" style="margin:2px 0px 2px;"><div class="progress" style="width:0%"></div></div></span>
<span class="blue">Награда:</span> <span class="nwr"><img src="/images/icon/exp.png" alt="опыт"> <?=$taskng[$row['task']['1']];?></span> </div>
<div class="dot-line"></div>
<?
}
break;
}
if($user['start'] !=9){
include './system/foot.php';
}else{
include './system/f.php';
}